%define build_sample 0

Name: oddjob
Version: 0.18
Release: 1
Source: http://people.redhat.com/nalin/oddjob/oddjob-%{version}-1.tar.gz
Summary: A D-BUS service which runs odd jobs on behalf of client applications
License: BSD
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: dbus-devel >= 0.22, libselinux-devel, libxml2-devel
BuildPrereq: pam-devel, python-devel
Prereq: /sbin/chkconfig

%description
oddjob is a D-BUS service which performs particular tasks for clients which
connect to it and issue requests using the system-wide message bus.

%package devel
Group: Development/Libraries
Summary: Files for developing oddjob clients
Requires: %{name} = %{version}-%{release}

%description devel
This package contains header files and static libraries which aid in the
development of simple oddjob client applications.  More complex clients
can of course use D-BUS APIs directly.

%package sample
Group: System Environment/Daemons
Summary: A sample oddjob service.
Requires: %{name} = %{version}-%{release}

%description sample
This package contains a trivial sample oddjob service.

%prep
%setup -q -n %{name}-%{version}-1

%build
sample_flag=
%if %{build_sample}
sample_flag=--enable-sample
%endif
%configure \
	--disable-static \
	--with-selinux-acls=default \
	--with-selinux-labels \
	--with-python \
	--libexecdir=%{_libdir} \
	$sample_flag
make %{_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
rm -f "$RPM_BUILD_ROOT"/%{_libdir}/security/*.la
rm -f "$RPM_BUILD_ROOT"/%{_libdir}/security/*.a
if ! test -d "$RPM_BUILD_ROOT"/%{_lib}/security ; then
	mkdir -p "$RPM_BUILD_ROOT"/%{_lib}/security
	mv "$RPM_BUILD_ROOT"/%{_libdir}/security/*.so "$RPM_BUILD_ROOT"/%{_lib}/security/
fi
# Recommended, though I disagree.
rm -f "$RPM_BUILD_ROOT"/%{_libdir}/*.la

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc *.dtd COPYING QUICKSTART python/sample.py doc/oddjob.html
%config(noreplace) %{_initrddir}/oddjobd
%{_bindir}/*
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/dbus-*/system.d/oddjob.conf
%config(noreplace) %{_sysconfdir}/oddjobd.conf
%dir    %{_sysconfdir}/oddjobd.conf.d
%dir %{_sysconfdir}/%{name}
/%{_lib}/security/*.so
%{_libdir}/%{name}/mkhomedir
%{_libdir}/%{name}/sanity.sh
%{_mandir}/*/*.*
%{_libdir}/liboddjob.so.*
%{_libdir}/python*/site-packages/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/oddjob.pc
%{_libdir}/liboddjob.so

%if %{build_sample}
%files sample
%defattr(-,root,root)
%{_libdir}/%{name}/oddjob-sample.sh
%config %{_sysconfdir}/dbus-*/system.d/oddjob-sample.conf
%config %{_sysconfdir}/oddjobd.conf.d/oddjobd-sample.conf
%endif

%post
/sbin/chkconfig --add oddjobd
/sbin/ldconfig

%preun
if [ $1 -eq 0 ] ; then
	/sbin/chkconfig --del oddjobd
fi

%postun -p /sbin/ldconfig
